Subject: Re: bug#70697: 30.0.50; Frame parameter alpha-background is ignored for fringe bitmaps & internal borders

From: Aleksandar Dimitrov <[email-masked]>
Date: Mon, 03 Jun 2024 22:24:27 +0200

Po Lu <[email-masked]> writes:

>>> From: Aleksandar Dimitrov <[email-masked]>
>>> Date: Thu, 16 May 2024 16:26:47 +0200
>>> CC: [email-masked],  [email-masked]
>
> [...]
>
>>> When compiling Emacs with --with-toolkit=lucid, the above patch
>>> works. Fringe bitmaps' backgrounds are now transparent.
>>> As before, the internal borders aren't transparent.
>
> I suppose you meant to write `--with-x-toolkit=lucid', where
> alpha-background is not supported at all, so I'm very much confused as
> to why this is so.  Did you really configure Emacs
> `--with-toolkit=lucid'?  If you did, you would have been testing a GTK
> build.

Welp, I never said I'm good at this :D
I didn't know there was a difference between the --with-toolkit and
--with-x-toolkit options. The former isn't documented in ./configure
--help, it seems. I've opted to only use --with-x-toolkit from now on.

I have conducted some experiments now:
--with-x-toolkit=lucid & your patch:
No transparency support.

--with-x-toolkit=gtk3 & your patch:
Transparency in fringes works.
Internal borders are NOT transparent.
This is identical to my previous test with --with-toolkit=lucid, which
wasn't doing what I expected it to.

--with-pgtk & your patch:
Transparency in fringes DOES NOT work
Internal borders ARE transparent
(also, Emacs is very slow, e.g. when rendering company popups, but
that's unrelated)

All of these tests are conducted with the above Emacs version and on
Wayland.